# Gets the current state of an execution Gets the current state of an execution Endpoint: GET /stepFunctions/{tenantId}/public/describe/{executionArn} Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed - `executionArn` (string, required) ## Response 200 fields (application/json): - `executionArn` (string) The execution ARN - `input` (string) The input to the execution - `output` (object) The ouptut of the execution - `start_date` (string) When the execution started - `stateMachineArn` (string) The arn of the state machine being run - `status` (string) The status Enum: "ABORTED", "FAILED", "RUNNING", "SUBMITTED", "SUCCEEDED", "TIMED_OUT" - `stop_date` (string) The date the execution stopped ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields